<template>
  <v-container class="circles">
    <v-row justify="center" class="pb-10">
      <v-col class="text-center">
        <h2 class="display-2">Circle Groups</h2>
        <p class="body-1">
          Time to come together in a circle and get your support
        </p>
      </v-col>
    </v-row>
    <v-row v-if="!circles.length" justify="center">
      <v-col class="text-center">
        <span class="body-1">No circles yet</span>
      </v-col>
    </v-row>
    <v-row>
      <v-col
        v-for="circle in circles"
        :key="circle.title"
        xs="12"
        md="4"
        lg="3"
      >
        <circle-item :circle="circle" />
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
import { mapActions, mapState } from 'vuex'
import CircleItem from '@/components/Circle/CircleItem'

export default {
  name: 'Circles',
  components: {
    CircleItem
  },
  data: () => ({}),
  computed: {
    ...mapState('circle', ['circles'])
  },
  mounted() {
    this.getAllCircles()
  },
  methods: {
    ...mapActions('circle', ['getAllCircles'])
  }
}
</script>

<style lang="scss">
.circles {
  padding: 60px 0px 60px 0;
}
</style>
